
// kbd.cc
// console interface routines used by syncal calibration program.


#include <stdio.h>
#include <fcntl.h>
#include <termios.h>

#include "kbd.h"


struct termios old,ours;
int fd_key;


int getfd()
{
	int fd;
	fd = open("/dev/tty",O_RDONLY);
	if (fd < 0)
	{
		printf("error getting keyboard fd\n");
		exit(0);
	}
	return fd;
}


void init_key()
{
	printf("initializing keyboard... ");
	fd_key=getfd();
	tcgetattr(fd_key, &old);
	tcgetattr(fd_key, &ours);
	ours.c_lflag &= ~(ICANON | ECHO | ISIG);
	ours.c_iflag = 0;
	ours.c_cc[VMIN] = 0;		// min, time to zero
	ours.c_cc[VTIME] = 0;		// means read returns instantly
	tcsetattr(fd_key,TCSAFLUSH,&ours);
	printf("done\n");
}


void shutdown_key()
{
	printf("shutting down keyboard... ");
	tcsetattr(fd_key,TCSAFLUSH,&old);
	printf("done\n");
}


int getkey()
{
	int numkey;
	unsigned char a;
	numkey = read(fd_key,&a,1);
	if (numkey) return ((int) a);
	return 0;
}


// end of kbd.cc


