
//  syncal.h


#ifndef SYNCAL_H
#define SYNCAL_H


// constants
const int	CHAN = 0;		// 0 for A channel, 1 for B channel
const int 	MAX_BYTES = 300;	// maximum serial transfer buffer
const int	NUMP = 9;		// number of cal freqs
const double FREQ_SET[9] = { 35E6, 30E6, 25E6, 20E6, 15E6, 10E6,
				5E6, 1E6, 0.1E6};

// commands
const int	alive_cmd = 0x10;	// is micro alive?
const int	send_setting = 0x30;	// set a userx setting
const int	get_setting = 0x40;	// get a userx setting
const int	cal_data = 0x50;	// send new cal data
const int	cal_reset = 0x51;	// disable calibration


// functions
int menu();			// display program options
void instructions();		// display calibration instructions
void cal_disable();		// disable calibration
void calibrate();		// calibrate the synthesizer
void micro_status();		// is micro alive?  terminate if not
double * acquire_cal_data();	// acquire the cal data
void set_freq(double);		// set the synth frequency
double read_atten();		// read the user-set attenuation
void confirm(int);		// confirm a command passed to micro
void terminate();		// exit prematurely
int process_data(double *);	// convert cal data into pts to pass to micro



#endif



// end of syncal.h




